Subject: [os2genau_digest] No. 1976
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Sun, 27 Jun 2010 00:00:47 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Saturday 26 June 2010
 Number  1976
**************************************************

Subjects for today
 
1  Re:  eCS 2.0 GA and USB : Mike O'Connor <mikeoc at internode.on dot net>
2  Re:  eCS 2.0 GA and USB : Ed Durrant <edurrant at durrant dot mine dot nu>
3  Re:  eCS 2.0 GA and USB : Kris Steenhaut <kris.steenhaut at kolibrieweg.eu>
4  Re:  eCS 2.0 GA and USB : Kris Steenhaut <kris.steenhaut at kolibrieweg.eu>
5  Re:  eCS 2.0 GA and USB : Peter Moylan <peter at pmoylan dot org>
6  Re:  eCS 2.0 GA and USB : Ian Manners" <deadmail>
7  Re:  eCS 2.0 GA and USB : Mike O'Connor <mikeoc at internode.on dot net>
8  Re:  eCS 2.0 GA and USB : Alan Duval <amoht at westnet dot com dot au>

**= Email   1 ==========================**

Date:  Sat, 26 Jun 2010 04:16:44 +1000
From:  Mike O'Connor <mikeoc at internode.on dot net>
Subject:  Re:  eCS 2.0 GA and USB

Alan Duval wrote:
> My system has:
> 8 x USB 2.0/1.1 ports
> 2 x IEEE  1394a ports
> 1 x RJ-45 port
>
> Should my config.sys show  "PCI USB OHCI host controllers" instead of  
> "PCI USB UHCI host controllers" ? I just let the install process 
> choose the controllers.
>
> Regards,
>
> Alan

Hi alan,

Here on all my HP A64 systems, I get the following:
> Sat 26/06/2010  4:08:59.97 AEST
> [eComStation with 2GB RAM]
> [D:\Desktop]hcimonit
> You have 2 PCI USB OHCI host controller(s)
> You have 1 PCI USB EHCI host controller(s)
>
> Sat 26/06/2010  4:09:06.05 AEST
> [eComStation with 2GB RAM]
> [D:\Desktop]
On these systems, I have 2 front-panel USB2/1.1 ports, and there are a 
further six on the rear-panel!
config.sys USB entries are:
> BASEDEV=USBEHCD.SYS
> BASEDEV=USBOHCD.SYS
> BASEDEV=USBOHCD.SYS
> BASEDEV=USBD.SYS /V
> BASEDEV=USBHID.SYS /V
> BASEDEV=USBMSD.ADD /FLOPPIES:0 /REMOVABLES:2
> DEVICE=D:\OS2\BOOT\USBMOUSE.SYS /DEVICE:0
> DEVICE=D:\OS2\BOOT\USBKBD.SYS /DEVICE:0
> rem DEVICE=D:\OS2\BOOT\USBPRT.SYS
> DEVICE=D:\ECS\BOOT\USBRESMG.SYS /V
Regards,
Mike

-- 
Failed the exam for
--------------------
MCSE - Minesweeper Consultant and Solitaire Expert
--------------------
Personal replies to any of : 
mikeoc (at) internode (dot) on (dot) net
mikeoc (at) austarnet (dot) com (dot) au
majilok (at) gmail (dot) com
[Please ZIP any attachments, other than GIF/JPG or plain-text]
If you are missing a response from me - check Tweed Heads WX status at:
http://www.bom.gov.au/products/IDR663.loop.shtml#skip

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   2 ==========================**

Date:  Sat, 26 Jun 2010 08:16:53 +1000
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  eCS 2.0 GA and USB

Alan Duval wrote:
> Kris Steenhaut wrote:
>> Alan Duval ha scritto:
>>>
>>> You have 6 PCI USB UHCI host controller(s)
>>> You have 2 PCI USB EHCI host controller(s)
>>>
>>> In my config.sys I have:
>>>
>>> BASEDEV=USBEHCD.SYS    (2 times)
>>>
>> Only one single line is allowed for this one.
>>
> REM'd out the second line but it made no difference. The second line 
> was put in by the install process.
>
> My system has:
> 8 x USB 2.0/1.1 ports
> 2 x IEEE  1394a ports
> 1 x RJ-45 port
>
> Should my config.sys show  "PCI USB OHCI host controllers" instead of  
> "PCI USB UHCI host controllers" ? I just let the install process 
> choose the controllers.
>
> Regards,
>
> Alan

EHCD is USB 2.0 (irrespective of make)

If I remember correctly OHCD is USB 1.x for INTEL controllers and UHCD 
is USB 1.x for non-Intel controllers (e.g. VIA).

So if you have a mixture of USB 2.0 and 1.x ports, you should have 
something like:
BASEDEV=USBUHCD.SYS
BASEDEV=USBUHCD.SYS
BASEDEV=USBUHCD.SYS
BASEDEV=USBUHCD.SYS
BASEDEV=USBEHCD.SYS

Firewire (1394a) is not supported except for one specific chip and then 
only an alpha driver from many years ago

The RJ45 is your NIC port, which will depend upon what network chipset 
you have - it may have a native OS/2 driver, it may be supported by 
GenMAC in "official" or "unsupported" mode or it may not be compatible 
with eComStation at this time.

-- 
Cheers/eCS2.0

Ed

Please checkout my podcasts at:
http://eComStationAustralia.podbean dot com or via iTunes
To subscribe - click this: http://eComStationAustralia.podbean dot com/feed

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   3 ==========================**

Date:  Sat, 26 Jun 2010 10:23:44 +0200
From:  Kris Steenhaut <kris.steenhaut at kolibrieweg.eu>
Subject:  Re:  eCS 2.0 GA and USB

Alan Duval ha scritto:
>> Only one single line is allowed for this one.
>>
> REM'd out the second line but it made no difference. The second line 
> was put in by the install process.
Must be a bug then.
>
> Should my config.sys show  "PCI USB OHCI host controllers" instead of  
> "PCI USB UHCI host controllers" ?
It's the one OR the other, depending on your hadware.

Given the fact the installer seems to stumble over your system, you might change to "U" in to "O", reboot and evaluate the result.

Groeten uit Gent,

   Kris

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   4 ==========================**

Date:  Sat, 26 Jun 2010 10:28:13 +0200
From:  Kris Steenhaut <kris.steenhaut at kolibrieweg.eu>
Subject:  Re:  eCS 2.0 GA and USB

Ed Durrant ha scritto:
> If I remember correctly OHCD is USB 1.x for INTEL controllers and UHCD 
> is USB 1.x for non-Intel controllers (e.g. VIA).

Right indeed. But what if  the installer doesn't  detect properly the 
hardware?
>
> BASEDEV=USBEHCD.SYS
>
The installer had put two lines of these onto Alan's system, thus this 
is a bit worrying.

-- 
Groeten uit Gent,

   Kris

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   5 ==========================**

Date:  Sat, 26 Jun 2010 20:12:38 +1000
From:  Peter Moylan <peter at pmoylan dot org>
Subject:  Re:  eCS 2.0 GA and USB

Kris Steenhaut wrote:
> Ed Durrant ha scritto:
>> If I remember correctly OHCD is USB 1.x for INTEL controllers and
>> UHCD is USB 1.x for non-Intel controllers (e.g. VIA).
>
> Right indeed. But what if  the installer doesn't  detect properly the
> hardware?

Look for pci048.zip on your favourite download sites. It seems to be
pretty good at working out what your hardware includes.

-- 
Peter Moylan                          peter at pmoylan dot org
                                      http://www.pmoylan dot org

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   6 ==========================**

Date:  Sat, 26 Jun 2010 20:48:29 +1000 (EST)
From:  "Ian Manners" <deadmail>
Subject:  Re:  eCS 2.0 GA and USB

>> Right indeed. But what if  the installer doesn't  detect properly the
>> hardware?
>
>Look for pci048.zip on your favourite download sites. It seems to be
>pretty good at working out what your hardware includes.

pci104vka.zip +  pcidevs_20100625.zip (updated data file)

from

<http://www.os2site.com/sw/hardware/diags/index.html>

Cheers
Ian Manners
http://www.os2site dot com/

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
**= Email   7 ==========================**

Date:  Sat, 26 Jun 2010 22:51:59 +1000
From:  Mike O'Connor <mikeoc at internode.on dot net>
Subject:  Re:  eCS 2.0 GA and USB

Kris Steenhaut wrote:
> Alan Duval ha scritto:
>> Should my config.sys show  "PCI USB OHCI host controllers" instead 
>> of  "PCI USB UHCI host controllers" ?
> It's the one OR the other, depending on your hadware. 
Not necessarily,

I have systems with all three, one variant of them being on a PCI-card.

Regards,
Mike

-- 
Failed the exam for
--------------------
MCSE - Minesweeper Consultant and Solitaire Expert
--------------------
Personal replies to any of : 
mikeoc (at) internode (dot) on (dot) net
mikeoc (at) austarnet (dot) com (dot) au
majilok (at) gmail (dot) com
[Please ZIP any attachments, other than GIF/JPG or plain-text]
If you are missing a response from me - check Tweed Heads WX status at:
http://www.bom.gov.au/products/IDR663.loop.shtml#skip

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   8 ==========================**

Date:  Sat, 26 Jun 2010 13:15:30 +1000
From:  Alan Duval <amoht at westnet dot com dot au>
Subject:  Re:  eCS 2.0 GA and USB

Mike O'Connor wrote:
> Alan Duval wrote:
>> My system has:
>> 8 x USB 2.0/1.1 ports
>> 2 x IEEE  1394a ports
>> 1 x RJ-45 port
>>
>> Should my config.sys show  "PCI USB OHCI host controllers" instead 
>> of  "PCI USB UHCI host controllers" ? I just let the install process 
>> choose the controllers.
>>
>> Regards,
>>
>> Alan
>
> Hi alan,
>
> Here on all my HP A64 systems, I get the following:
>> Sat 26/06/2010  4:08:59.97 AEST
>> [eComStation with 2GB RAM]
>> [D:\Desktop]hcimonit
>> You have 2 PCI USB OHCI host controller(s)
>> You have 1 PCI USB EHCI host controller(s)
>>
>> Sat 26/06/2010  4:09:06.05 AEST
>> [eComStation with 2GB RAM]
>> [D:\Desktop]
> On these systems, I have 2 front-panel USB2/1.1 ports, and there are a 
> further six on the rear-panel!
> config.sys USB entries are:
>> BASEDEV=USBEHCD.SYS
>> BASEDEV=USBOHCD.SYS
>> BASEDEV=USBOHCD.SYS
>> BASEDEV=USBD.SYS /V
>> BASEDEV=USBHID.SYS /V
>> BASEDEV=USBMSD.ADD /FLOPPIES:0 /REMOVABLES:2
>> DEVICE=D:\OS2\BOOT\USBMOUSE.SYS /DEVICE:0
>> DEVICE=D:\OS2\BOOT\USBKBD.SYS /DEVICE:0
>> rem DEVICE=D:\OS2\BOOT\USBPRT.SYS
>> DEVICE=D:\ECS\BOOT\USBRESMG.SYS /V
> Regards,
> Mike
>
I have all these in my config.sys except that I have USBUHCD.SYS instead 
of UHBOHCD.SYS. My MB has an Intel chip and Intel dual core CPU so 
that's probably the difference.

I have reinstalled eCS 2.0 GA a couple of times but with same result. I 
have checked it's config.sys with that on my installation of eCS 2.0 
silver which I have on another removable HDD and they are much the same. 
I let the installation process check the installation disk and it found 
no errors so I am at a loss as to why the silver version will see the 
USB stick but the GA version doesn't. However in saying that I have been 
having increasing problems copying files to USB sticks with the Silver 
version and only 1 of 4 now is useful whereas Ubuntu and WIN XP still 
can use them.

Regards,

Alan
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===